Index: trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90
===================================================================
--- trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 7698)
+++ trunk/NEMOGCM/NEMO/TOP_SRC/PISCES/trcini_pisces.F90	(revision 7753)
@@ -191,67 +191,53 @@
       !--------------------------------------------------------------
       IF( .NOT.ln_rsttr ) THEN  
-!$OMP PARALLEL
-!$OMP DO schedule(static) private(jk,jj,ji)
-         DO jk = 1, jpk
-            DO jj = 1, jpj
-               DO ji = 1, jpi
-                  trn(ji,jj,jk,jpdic) = sco2
-                  trn(ji,jj,jk,jpdoc) = bioma0
-                  trn(ji,jj,jk,jptal) = alka0
-                  trn(ji,jj,jk,jpoxy) = oxyg0
-                  trn(ji,jj,jk,jpcal) = bioma0
-                  trn(ji,jj,jk,jppo4) = po4 / po4r
-                  trn(ji,jj,jk,jppoc) = bioma0
-                  trn(ji,jj,jk,jpgoc) = bioma0
-                  trn(ji,jj,jk,jpbfe) = bioma0 * 5.e-6
-                  trn(ji,jj,jk,jpsil) = silic1
-                  trn(ji,jj,jk,jpdsi) = bioma0 * 0.15
-                  trn(ji,jj,jk,jpgsi) = bioma0 * 5.e-6
-                  trn(ji,jj,jk,jpphy) = bioma0
-                  trn(ji,jj,jk,jpdia) = bioma0
-                  trn(ji,jj,jk,jpzoo) = bioma0
-                  trn(ji,jj,jk,jpmes) = bioma0
-                  trn(ji,jj,jk,jpfer) = 0.6E-9
-                  trn(ji,jj,jk,jpsfe) = bioma0 * 5.e-6
-                  trn(ji,jj,jk,jpdfe) = bioma0 * 5.e-6
-                  trn(ji,jj,jk,jpnfe) = bioma0 * 5.e-6
-                  trn(ji,jj,jk,jpnch) = bioma0 * 12. / 55.
-                  trn(ji,jj,jk,jpdch) = bioma0 * 12. / 55.
-                  trn(ji,jj,jk,jpno3) = no3
-                  trn(ji,jj,jk,jpnh4) = bioma0
-                  IF( ln_ligand) THEN
-                     trn(ji,jj,jk,jplgw) = 0.6E-9
-                     trn(ji,jj,jk,jpfep) = 0. * 5.e-6
-                  ENDIF
-                  IF( ln_p5z ) THEN
-                     trn(ji,jj,jk,jpdon) = bioma0
-                     trn(ji,jj,jk,jpdop) = bioma0
-                     trn(ji,jj,jk,jppon) = bioma0
-                     trn(ji,jj,jk,jppop) = bioma0
-                     trn(ji,jj,jk,jpgon) = bioma0
-                     trn(ji,jj,jk,jpgop) = bioma0
-                     trn(ji,jj,jk,jpnph) = bioma0
-                     trn(ji,jj,jk,jppph) = bioma0
-                     trn(ji,jj,jk,jppic) = bioma0
-                     trn(ji,jj,jk,jpnpi) = bioma0
-                     trn(ji,jj,jk,jpppi) = bioma0
-                     trn(ji,jj,jk,jpndi) = bioma0
-                     trn(ji,jj,jk,jppdi) = bioma0
-                     trn(ji,jj,jk,jppfe) = bioma0 * 5.e-6
-                     trn(ji,jj,jk,jppch) = bioma0 * 12. / 55.
-                  ENDIF
-               END DO
-            END DO
-         END DO
+         trn(:,:,:,jpdic) = sco2
+         trn(:,:,:,jpdoc) = bioma0
+         trn(:,:,:,jptal) = alka0
+         trn(:,:,:,jpoxy) = oxyg0
+         trn(:,:,:,jpcal) = bioma0
+         trn(:,:,:,jppo4) = po4 / po4r
+         trn(:,:,:,jppoc) = bioma0
+         trn(:,:,:,jpgoc) = bioma0
+         trn(:,:,:,jpbfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpsil) = silic1
+         trn(:,:,:,jpdsi) = bioma0 * 0.15
+         trn(:,:,:,jpgsi) = bioma0 * 5.e-6
+         trn(:,:,:,jpphy) = bioma0
+         trn(:,:,:,jpdia) = bioma0
+         trn(:,:,:,jpzoo) = bioma0
+         trn(:,:,:,jpmes) = bioma0
+         trn(:,:,:,jpfer) = 0.6E-9
+         trn(:,:,:,jpsfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpdfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpnfe) = bioma0 * 5.e-6
+         trn(:,:,:,jpnch) = bioma0 * 12. / 55.
+         trn(:,:,:,jpdch) = bioma0 * 12. / 55.
+         trn(:,:,:,jpno3) = no3
+         trn(:,:,:,jpnh4) = bioma0
+         IF( ln_ligand) THEN
+            trn(:,:,:,jplgw) = 0.6E-9
+            trn(:,:,:,jpfep) = 0. * 5.e-6
+         ENDIF
+         IF( ln_p5z ) THEN
+            trn(:,:,:,jpdon) = bioma0
+            trn(:,:,:,jpdop) = bioma0
+            trn(:,:,:,jppon) = bioma0
+            trn(:,:,:,jppop) = bioma0
+            trn(:,:,:,jpgon) = bioma0
+            trn(:,:,:,jpgop) = bioma0
+            trn(:,:,:,jpnph) = bioma0
+            trn(:,:,:,jppph) = bioma0
+            trn(:,:,:,jppic) = bioma0
+            trn(:,:,:,jpnpi) = bioma0
+            trn(:,:,:,jpppi) = bioma0
+            trn(:,:,:,jpndi) = bioma0
+            trn(:,:,:,jppdi) = bioma0
+            trn(:,:,:,jppfe) = bioma0 * 5.e-6
+            trn(:,:,:,jppch) = bioma0 * 12. / 55.
+         ENDIF
          ! initialize the half saturation constant for silicate
          ! ----------------------------------------------------
-!$OMP DO schedule(static) private(jj,ji)
-         DO jj = 1, jpj
-            DO ji = 1, jpi
-               xksi(ji,jj)    = 2.e-6
-               xksimax(ji,jj) = xksi(ji,jj)
-            END DO
-         END DO
-!$OMP END PARALLEL
+         xksi(:,:)    = 2.e-6
+         xksimax(:,:) = xksi(:,:)
       END IF
 
